package domain


type WdkWarehouseOrderCancelDataResult struct {
    /*
        返回码     */
    ReturnCode  *string `json:"return_code,omitempty" `

    /*
        返回信息     */
    ReturnMsg  *string `json:"return_msg,omitempty" `

    /*
        取消详情列表     */
    Datas  *[]WdkWarehouseOrderCancelSubOrderReturn `json:"datas,omitempty" `

    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

}

func (s *WdkWarehouseOrderCancelDataResult) SetReturnCode(v string) *WdkWarehouseOrderCancelDataResult {
    s.ReturnCode = &v
    return s
}
func (s *WdkWarehouseOrderCancelDataResult) SetReturnMsg(v string) *WdkWarehouseOrderCancelDataResult {
    s.ReturnMsg = &v
    return s
}
func (s *WdkWarehouseOrderCancelDataResult) SetDatas(v []WdkWarehouseOrderCancelSubOrderReturn) *WdkWarehouseOrderCancelDataResult {
    s.Datas = &v
    return s
}
func (s *WdkWarehouseOrderCancelDataResult) SetSuccess(v bool) *WdkWarehouseOrderCancelDataResult {
    s.Success = &v
    return s
}
